<div>
  <form>
    <h1>{{ 'scheduling.config.headline' | translate }}</h1>
    <div *ngIf="showManual" class="alert alert-dismissible alert-dark">
      <button type="button" class="btn-close" (click)="toggleManual()"></button>
      <h4 class="alert-heading">{{ 'paging.basics.manual' | translate }}</h4>
      <p>{{ 'paging.configuration.manualOne' | translate }}</p>
      <p>{{ 'paging.configuration.manualTwo' | translate }}</p>
    </div>
    <div class="button-container">
      <button type="button" class="btn btn-primary" (click)="loadRandomConfig()">
        <fa-icon [icon]="faRandom"></fa-icon>
        {{ 'paging.configuration.random' | translate }}
      </button>
      <button
        type="button"
        class="btn btn-primary"
        *ngFor="let config of pagingService.sampleConfigList | keyvalue"
        (click)="loadDiagramFromConfig(config.key)"
      >
        {{ config.key }}
      </button>
      <div class="btn-group" role="group" style="margin-right: 8px">
        <input
          type="radio"
          class="btn-check"
          name="btnradio"
          id="btnradio1"
          autocomplete="off"
          (click)="changeConfigType(false)"
          [attr.checked]="configType ? null : ''"
        />
        <label class="btn btn-outline-primary" for="btnradio1">
          {{ 'paging.configuration.valueConfig' | translate }}</label
        >
        <input
          type="radio"
          class="btn-check"
          name="btnradio"
          id="btnradio2"
          autocomplete="off"
          (click)="changeConfigType(true)"
          [attr.checked]="configType ? '' : null"
        />
        <label class="btn btn-outline-primary" for="btnradio2">{{
          'paging.configuration.csvConfig' | translate
        }}</label>
      </div>
      <button type="button" class="btn btn-secondary" (click)="toggleManual()">
        <fa-icon [icon]="faQuestion"></fa-icon>
        {{ 'paging.basics.manual' | translate }}
      </button>
    </div>

    <div class="input-group">
      <div class="form-group paging-small">
        <label for="Strategie" class="col-form-label mt-4">
          {{ 'paging.configuration.selectAlgorithm' | translate }}</label
        >
        <select class="form-select" id="Strategie" (change)="pagingService.updateStrategy($event.target)">
          <option
            *ngFor="let algorithm of pagingService.algorithms | keyvalue"
            [value]="algorithm.key"
            [attr.selected]="algorithm.key == pagingService.diagram.strategy ? '' : null"
          >
            {{ algorithm.value }}
          </option>
        </select>
      </div>
      <div class="form-group paging-small" [class.d-none]="!configType">
        <label class="col-form-label mt-4" for="roundList">{{ 'paging.configuration.callList' | translate }}</label>
        <input
          class="form-control"
          id="roundList"
          (change)="pagingService.updateCSVTarget($event.target)"
          placeholder="1,2,1,..."
          type="text"
          [value]="pagingService.diagram.callList.join()"
        />
      </div>
      <div
        class="form-group paging-small"
        [class.d-none]="!configType || !pagingService.rwAlgorithms.includes(pagingService.diagram.strategy)"
      >
        <label class="col-form-label mt-4" for="rwList">{{ 'paging.configuration.rwList' | translate }}</label>
        <input
          class="form-control"
          id="rwList"
          (change)="pagingService.updateRWListTarget($event.target)"
          placeholder="r,w,r,..."
          type="text"
          [value]="pagingService.diagram.getRWListString()"
        />
      </div>
      <div class="form-group paging-small" [class.d-none]="configType">
        <label class="col-form-label mt-4" for="pages">{{ 'paging.configuration.selectPages' | translate }}</label>
        <input
          class="form-control"
          id="pages"
          (input)="pagingService.updatePageCountTarget($event.target)"
          [value]="pagingService.pageCount"
          max="{{ pagingService.maxPageCount }}"
          min="{{ pagingService.minPageCount }}"
          placeholder="{{ pagingService.minPageCount }}-{{ pagingService.maxPageCount }}"
          type="number"
        />
      </div>
      <div class="form-group paging-small" [class.d-none]="configType">
        <label class="col-form-label mt-4" for="rounds">
          {{ 'paging.configuration.selectCallListLength' | translate }}</label
        >
        <input
          class="form-control"
          id="rounds"
          (input)="pagingService.updateRoundCountTarget($event.target)"
          [value]="pagingService.roundCount"
          max="{{ pagingService.maxRoundCount }}"
          min="{{ pagingService.minRoundCount }}"
          placeholder="{{ pagingService.minRoundCount }}-{{ pagingService.maxRoundCount }}"
          type="number"
        />
      </div>
      <div class="form-group paging-small">
        <label class="col-form-label mt-4" for="frames">{{ 'paging.configuration.selectFrames' | translate }}</label>
        <input
          class="form-control"
          id="frames"
          (input)="pagingService.updateFrameCountTarget($event.target)"
          [value]="pagingService.frameCount"
          max="{{ pagingService.pageCount }}"
          min="{{ pagingService.minFrameCount }}"
          placeholder="{{ pagingService.minFrameCount }}-{{ pagingService.pageCount }}"
          required
          type="number"
        />
      </div>
    </div>
    <div class="form-group">
      <label class="form-label mt-4">{{ 'paging.configuration.configLink' | translate }}:</label>
      <div class="form-group">
        <div class="input-group mb-3">
          <span class="input-group-text">🔗</span>
          <input
            class="form-control"
            id="readOnlyInput"
            type="text"
            placeholder="Hier sollte ein Link stehen"
            readonly=""
            [value]="getConfigLink()"
          />
        </div>
      </div>
    </div>
  </form>
  <br />
</div>
